Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.gradle.plugins.ide.idea.model
[Groovy] Class IdeaModuleIml

    java.lang.Object
      org.gradle.plugins.ide.api.FileContentMerger
          org.gradle.plugins.ide.api.XmlFileContentMerger
              org.gradle.plugins.ide.idea.model.IdeaModuleIml

    class IdeaModuleIml
    extends XmlFileContentMerger

Models the generation/parsing/merging capabilities of an IDEA module.

For examples, see docs for IdeaModule.

Property Summary
`File` | `generateTo` Folder where the *.iml file will be generated to

Constructor Summary
`IdeaModuleIml(XmlTransformer xmlTransformer, File generateTo)`

Method Summary

Methods inherited from class XmlFileContentMerger
withXml

Methods inherited from class FileContentMerger
beforeMerged, whenMerged

Property Detail

### generateTo

    File generateTo

  Folder where the *.iml file will be generated to

  For example see docs for IdeaModule

Constructor Detail

### IdeaModuleIml

    IdeaModuleIml(XmlTransformer xmlTransformer, File generateTo)

Gradle API 1.10